# Created by pyp2rpm-3.3.4
%global pypi_name asttokens

Name:           python-%{pypi_name}
Version:        2.0.4
Release:        %mkrel 1
Summary:        Annotate AST trees with source code positions
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/gristlabs/asttokens
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(astroid)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools) >= 44
BuildRequires:  python3dist(setuptools-scm) >= 3.4.3
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(sphinx)

%description
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(astroid)
Requires:       python3dist(pytest)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%package -n python-%{pypi_name}-doc
Summary:        asttokens documentation
%description -n python-%{pypi_name}-doc
Documentation for asttokens

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc tests/testdata/README.md README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Wed Apr 22 2020 kekepower <kekepower> 2.0.4-1.mga8
+ Revision: 1571005
- imported package python-asttokens

